com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedLoadListener

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<LoadListener>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedLoadListener

- All Implemented Interfaces:
    ErrorHandler, LoadHandler, EventHandler
  Enclosing class:
    ListenerWrapper<T>

      public static class ListenerWrapper.WrappedLoadListener
      extends ListenerWrapper<LoadListener>
      implements LoadHandler, ErrorHandler

  Wrapper for a `LoadListener`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

      `ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <S extends HasLoadHandlers & HasErrorHandlers> ListenerWrapper.WrappedLoadListener` | `add(S source, LoadListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes
    `void` | `onError(ErrorEvent event)` Called when ErrorEvent is fired.
    `void` | `onLoad(LoadEvent event)` Called when LoadEvent is fired.
    `static void` | `remove(Widget eventSource, LoadListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes

    - ### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

      `baseRemove, getSource, setSource`

    - ### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

      `baseRemove, getListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          @Deprecated
          public static <S extends HasLoadHandlers & HasErrorHandlers> ListenerWrapper.WrappedLoadListener add(S source,
                                                                                                                           LoadListener listener)

      Deprecated. will be removed in GWT 2.0 along with the listener classes
      Adds the wrapped listener.
      Type Parameters:
        `S` - the source of the events
      Parameters:
        `source` - the event source
        `listener` - the listener
      Returns:
        the wrapped listener

    - #### remove

          @Deprecated
          public static void remove(Widget eventSource,
                                                LoadListener listener)

      Deprecated. will be removed in GWT 2.0 along with the listener classes
      Removes the wrapped listener.
      Parameters:
        `eventSource` - the event source from which to remove the wrapped listener
        `listener` - the listener to remove

    - #### onError

          public void onError(ErrorEvent event)

      Description copied from interface: `ErrorHandler`
      Called when ErrorEvent is fired.
      Specified by:
        `onError` in interface `ErrorHandler`
      Parameters:
        `event` - the `ErrorEvent` that was fired

    - #### onLoad

          public void onLoad(LoadEvent event)

      Description copied from interface: `LoadHandler`
      Called when LoadEvent is fired.
      Specified by:
        `onLoad` in interface `LoadHandler`
      Parameters:
        `event` - the `LoadEvent` that was fired